export interface LoginDTO {
    captchaVerification: string;
    username: string;
    password: string;
    rememberMe: boolean;
    tenantName: string;
}

export interface TokenDTO {
    userId: number,
    accessToken: string;
    refreshToken: string;
    expiresTime: string;
}

export interface RoleDTO {
    id: number;
    roleName: string;
    status: number;
    createTime: string;
    createOper: string;
    operTime: string;
    oper: string;
}

export interface MerchantDTO {
    id: number;
    merchantName: string;
    levelId: number;
    merchantStatus: number;
    balance: number;
    frozenBalance: number;
    integral: number;
    relationName: string;
    phone: string;
    address: string;
    remark: string;
    creatorId: number;
    createTime: string;
    isDelete: number;
}

export interface UserDTO {
    id: number;
    userName: string;
    password: string;
    phoneNumber: string;
    emailAddress: string;
    name: string;
    avatarId: number;
    status: number;
    isDelete: number;
    merchantId: number;
    roles: Array<RoleDTO>;
    avatarUrl: string;
    merchant: MerchantDTO;
    idToString: string;
}

export interface Menu {
    id: string;
    parentId?: string;
    name?: string;
    icon?: string;
    visible?: boolean;
    path: string;
    component?: string;
    keepAlive: boolean;
    type?: number;
    parentPaths?: string[];
    children?: Array<Menu>;
}

export interface User {
    id: number;
    userName: string;
    nickName: string;
    phoneNumber: string;
    email: string;
    createDate: string;
    updateDate: string;
    avatar?: any;
    menus: Menu[];
    routes: any[];
    flatMenus: Menu[];
    avatarPath: string;
    authList: string[];
}
