import { Menu } from '@/models';
import { create } from 'zustand';
import { devtools } from 'zustand/middleware';

interface State {
  menus: Menu[] | null;
}

interface Action {
  setMenus: (menus: State['menus']) => void;
}

export const useMenusStore = create<State & Action>()(
  devtools(
    (set) => {
      return {
        menus: null,
        setMenus: (menus: State['menus']) =>
          set({menus}),
      };
    },
    {name: 'globalMenuStore'}
  )
);
